<?
function FIniciaPaginado($Resultado,$Bloques,$Pagina,&$Bloque,&$NPaginas,&$NBloques,&$Final,&$Inicio,&$Apuntador,&$TotalFilas)
{
    if (!$Resultado)
    { 
	//echo('<p align="center"><strong>Sin resultados en la búsqueda</strong></p>');
     //echo'<p align="center"><a href="javascript:history.back()"><b>Realizar otra Búsqueda</b></a>';
      exit();
    }
    $TotalFilas = mysql_num_rows($Resultado);
    if ($TotalFilas==0)
    { echo('<p align="center"><strong>Sin resultados en la búsqueda</strong></p>');
     echo'<p align="center"><a href="javascript:history.back()"><b>Realizar otra Búsqueda</b></a>';
      exit();
    }

    // Inicializamos Pagina y Final
    if (empty($Pagina))
    { $Pagina = 1;
      $Bloque = 1;
    }
    // Calculamos el numero de paginas que seran mostrados
     $NPaginas = (int)($TotalFilas / $Bloques);
     $RestoFilas = $TotalFilas % $Bloques;
     if ($RestoFilas > 0)
        $NPaginas++;
     // Calculamos el numero de bloques de paginas que se mostraran
      $NBloques = (int)($NPaginas / $Bloques);
      $RestoPaginas = $NPaginas % $Bloques;
      if ($RestoPaginas > 0)
           $NBloques++;

        // Calculamos inicio, final de bloque y el apuntador de inicio a la tabla
        $Final= (int)$Pagina * $Bloques;
        $Inicio = $Final - ($Bloques-1);
        $Apuntador = $Inicio - 1;
        if ($NPaginas == $Pagina)
           $Final=$Apuntador+$RestoFilas;
}


function FTerminaPaginado($PaginaWeb,$Variables,$Bloques,$Pagina,$IBloque,$Bloque,$Final,$ColorCelda,$Inicio,$TotalFilas,$NPaginas,$NBloques)
{
   //TOTAL DE REGISTROS
    echo '
         <table width="100%" border="0" cellspacing="0">
          <tr>
           <td bgcolor="'.$ColorCelda.'" width="50%"><font color="#FFFFFF"><b>Resultados de la búsqueda solicitada</b></font></td>
           <td bgcolor="'.$ColorCelda.'" width="50%"><font color="#FFFFFF"><b>'.$Inicio."-".$Final." de ".$TotalFilas.'</b></font></td>
          </tr>
         </table>';

  //COMIENZO DE LA PAGINACION
   echo '<table width="100%" border="0" cellspacing="0">
          <tr>';
    // PAGINAS ANTERIORES --------------

    if ($Bloque > 1)
    { $BloqueW=$Bloque-1;
      $I2=($BloqueW*10)-9;
      $CadenaPaginado='&Pagina='.$I2.'&IBloque='.$BloqueW.'&Bloque='.$BloqueW.'&Final='.$Final;
      echo '<td>
            <a href="'.$PaginaWeb.$Variables.$CadenaPaginado.'"><font color="#FFFFFF"><b>Paginas Anteriores</b></font></a>
            </td>';
    }

    if ($IBloque == $Bloque)
      $Pagina=($Bloque*10)-9;
    // Imprimimos los numeros de bloques que podra consultar el usuario
    $NPaginasW=$Bloque*10;
    if ($NPaginasW > $NPaginas)
       $NPaginasW=$NPaginas;

    //IMPRESION DE LA PAGINACION
   echo '<td><b>Pags:</b> - ';
    for ($I1=$Pagina; $I1 <= $NPaginasW; $I1++)
    { $CadenaPaginado='&Pagina='.$I1.'&IBloque='.$Bloque.'&Bloque='.$Bloque.'&Final='.$Final;
      echo ' <a href="'.$PaginaWeb.$Variables.$CadenaPaginado.'">'.$I1.'</a> - ';
    }
    echo'</td>';

    //PAGINAS SIGUIENTES
    $BloqueAux=$Bloque*$Bloques*10;
    if ($BloqueAux < $TotalFilas)
    {$Bloque++;
     $I2=($Bloque*10)-9;
      $CadenaPaginado='&Pagina='.$I2.'&IBloque='.$Bloque.'&Bloque='.$Bloque.'&Final='.$Final;
       echo '<td>
            <a href="'.$PaginaWeb.$Variables.$CadenaPaginado.'"><font color="#FFFFFF"><b>Siguientes Páginas</b></a></a>
          </td>';
    }
    //echo '<td><b><a href="'.$PaginaWeb.'">Regresar</a><b></td>';
    echo '</tr>';
    echo '</table>';
}

?>